org.gnome.gdk

## Class CrossingMode

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gdk.CrossingMode

-     public final class CrossingMode
      extends org.freedesktop.bindings.Constant

  Constants relating to the nature of the event when a mouse enters or leaves a GDK Window.
  Since:
    4.0.7
  Author:
    Andrew Cowie
  See Also:
    The XLib programming manual, section 10.6

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CrossingMode` | `GRAB` Event occurred because a grab was activated.
    `static CrossingMode` | `GTK_GRAB` Event occurred because a "GTK grab" happened.
    `static CrossingMode` | `GTK_UNGRAB` Event occurred because a "GTK ungrab" happened.
    `static CrossingMode` | `NORMAL` The EventCrossing occurred because of pointer motion (by the user).
    `static CrossingMode` | `STATE_CHANGED` Event occurred because a Widget changed state.
    `static CrossingMode` | `UNGRAB` Event occurred because an ungrab happened.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### GRAB

          public static final CrossingMode GRAB

      Event occurred because a grab was activated.

    - #### GTK_GRAB

          public static final CrossingMode GTK_GRAB

      Event occurred because a "GTK grab" happened. FIXME This means what? How is it different from GRAB?

    - #### GTK_UNGRAB

          public static final CrossingMode GTK_UNGRAB

      Event occurred because a "GTK ungrab" happened. FIXME This means what? How is it different from the previously existing UNGRAB?

    - #### NORMAL

          public static final CrossingMode NORMAL

      The EventCrossing occurred because of pointer motion (by the user).

    - #### STATE_CHANGED

          public static final CrossingMode STATE_CHANGED

      Event occurred because a Widget changed state.

    - #### UNGRAB

          public static final CrossingMode UNGRAB

      Event occurred because an ungrab happened.